Get post statistics

GET/analytics/v1/posts/{postId}/stats

Returns aggregated statistics for a post

Authorization<token>

In: header

Path Parameters

postId*string

Post ID

Query Parameters

start?string

Start date (inclusive)

end?string

End date (inclusive)

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/analyticsv1.GetPostStatsResponse",
  "$ref-value": {
    "properties": {
      "post_id": {
        "type": "string"
      },
      "total_views": {
        "type": "integer"
      },
      "unique_viewers": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/analytics/v1/posts/string/stats"

OK

application/json

{
  "$ref": "#/components/schemas/analyticsv1.GetPostStatsResponse",
  "$ref-value": {
    "properties": {
      "post_id": {
        "type": "string"
      },
      "total_views": {
        "type": "integer"
      },
      "unique_viewers": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}